summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 2c620a1)
raw | patch | inline | side by side (parent: 2c620a1)
author | Michal Ostrowski <mostrows@watson.ibm.com> | |
Fri, 20 Jan 2006 18:38:16 +0000 (13:38 -0500) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Wed, 25 Jan 2006 07:17:26 +0000 (23:17 -0800) |
git-peek-remote needs to handle a -u|--upload-pack parameter just like
git-fetch (and git-fetch has to pass it on to git-peek-remote).
(This is actually a follow-up to my previous git-fetch patch.)
Signed-off-by: Michal Ostrowski <mostrows@heater.watson.ibm.com>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-fetch (and git-fetch has to pass it on to git-peek-remote).
(This is actually a follow-up to my previous git-fetch patch.)
Signed-off-by: Michal Ostrowski <mostrows@heater.watson.ibm.com>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-fetch.sh | patch | blob | history | |
git-ls-remote.sh | patch | blob | history |
diff --git a/git-fetch.sh b/git-fetch.sh
index d1659e2cfe78fef5bd8712edcedbf7296eb316be..6730346ba07a8c60cb79a2ec720d072b74cebaca 100755 (executable)
--- a/git-fetch.sh
+++ b/git-fetch.sh
verbose=
update_head_ok=
exec=
+upload_pack=
while case "$#" in 0) break ;; esac
do
case "$1" in
--upload-pac|--upload-pack)
shift
exec="--exec=$1"
+ upload_pack="-u $1"
;;
-f|--f|--fo|--for|--forc|--force)
force=t
if test "$tags"
then
taglist=$(IFS=" " &&
- git-ls-remote --tags "$remote" |
+ git-ls-remote $upload_pack --tags "$remote" |
while read sha1 name
do
case "$name" in
case "$no_tags$tags" in
'')
taglist=$(IFS=" " &&
- git-ls-remote --tags "$remote" |
+ git-ls-remote $upload_pack --tags "$remote" |
sed -ne 's|^\([0-9a-f]*\)[ ]\(refs/tags/.*\)^{}$|\1 \2|p' |
while read sha1 name
do
diff --git a/git-ls-remote.sh b/git-ls-remote.sh
index f69926862fba15c28933c6dd616065d331b9a89b..2c9a588d21e4eaf6358148949ace2dc825798c55 100755 (executable)
--- a/git-ls-remote.sh
+++ b/git-ls-remote.sh
#
usage () {
- echo >&2 "usage: $0 [--heads] [--tags] <repository> <refs>..."
+ echo >&2 "usage: $0 [--heads] [--tags] [-u|--upload-pack <upload-pack>]"
+ echo >&2 " <repository> <refs>..."
exit 1;
}
exit 1
}
+exec=
while case "$#" in 0) break;; esac
do
case "$1" in
heads=heads; shift ;;
-t|--t|--ta|--tag|--tags)
tags=tags; shift ;;
+ -u|--u|--up|--upl|--uploa|--upload|--upload-|--upload-p|--upload-pa|\
+ --upload-pac|--upload-pack)
+ shift
+ exec="--exec=$1"
+ shift;;
--)
shift; break ;;
-*)
;;
* )
- git-peek-remote "$peek_repo" ||
+ git-peek-remote $exec "$peek_repo" ||
echo "failed slurping"
;;
esac |